PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT > Struct Template Reference

Base for lazy data implementation. More...

Inheritance diagram for plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >:
[legend]
Collaboration diagram for plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >:
[legend]

## Classes
struct | AveragedData

## Public Types
typedef FreeCarrierGainSolver2D< GeometryT >::ActiveRegionParams | ActiveRegionParams
Public Types inherited from plask::LazyDataImpl< DT >
typedef DT | CellType

## Public Member Functions
void | setupFromAxis (const shared_ptr< MeshAxis > &axis)
| DataBase (FreeCarrierGainSolver2D< GeometryT > *solver, const shared_ptr< const MeshD< 2 > > &dst_mesh)
size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< DT >
virtual | ~LazyDataImpl ()
virtual DT | at (std::size_t index) const=0
| Get index-th value from vector.
virtual DataVector< const DT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< DT > | claim () const

## Public Attributes
FreeCarrierGainSolver2D< GeometryT > * | solver
| Solver.
std::vector< shared_ptr< MeshAxis > > | regpoints
| Points in each active region.
shared_ptr< const MeshD< 2 > > | dest_mesh
| Destination mesh.
InterpolationFlags | interpolation_flags
| Interpolation flags.

## Detailed Description

template<typename GeometryT>
template<typename GeometryT>
struct plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >

Base for lazy data implementation.

Definition at line 172 of file freecarrier2d.cpp.

## Member Typedef Documentation

## ◆ ActiveRegionParams

template<typename GeometryT >
template<typename GeometryT >

typedef FreeCarrierGainSolver2D<GeometryT>::ActiveRegionParams plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::ActiveRegionParams

Definition at line 211 of file freecarrier2d.cpp.

## Constructor & Destructor Documentation

## ◆ DataBase()

template<typename GeometryT >
template<typename GeometryT >

plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::DataBase | ( | FreeCarrierGainSolver2D< GeometryT > * | solver,
|  | const shared_ptr< const MeshD< 2 > > & | dst_mesh
| ) |  |
| inline

Definition at line 237 of file freecarrier2d.cpp.

## Member Function Documentation

## ◆ setupFromAxis()

template<typename GeometryT >
template<typename GeometryT >

void plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::setupFromAxis | ( | const shared_ptr< MeshAxis > & | axis | ) |
| inline

Definition at line 218 of file freecarrier2d.cpp.

## ◆ size()

template<typename GeometryT >
template<typename GeometryT >

size_t plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::size | ( |  | ) | const
| inline override virtual

Get the number of elements in this vector.

Returns
  the number of elements in this vector

Implements plask::LazyDataImpl< DT >.

Definition at line 261 of file freecarrier2d.cpp.

## Member Data Documentation

## ◆ dest_mesh

template<typename GeometryT >
template<typename GeometryT >

shared_ptr<const MeshD<2> > plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::dest_mesh

Destination mesh.

Definition at line 215 of file freecarrier2d.cpp.

## ◆ interpolation_flags

template<typename GeometryT >
template<typename GeometryT >

InterpolationFlags plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::interpolation_flags

Interpolation flags.

Definition at line 216 of file freecarrier2d.cpp.

## ◆ regpoints

template<typename GeometryT >
template<typename GeometryT >

std::vector<shared_ptr<MeshAxis> > plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::regpoints

Points in each active region.

Definition at line 214 of file freecarrier2d.cpp.

## ◆ solver

template<typename GeometryT >
template<typename GeometryT >

FreeCarrierGainSolver2D<GeometryT>* plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::solver

Solver.

Definition at line 213 of file freecarrier2d.cpp.

The documentation for this struct was generated from the following file:

- solvers/gain/freecarrier/freecarrier2d.cpp